{
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "",
    "title": "Kelley Blue Book",
    "version": "1",
    "x-aisa-capabilities": {
      "idempotency": "Idempotency-Key",
      "max_price": "X-AISA-Max-Price-USD",
      "quote": {
        "header": "X-AISA-Cost-Mode",
        "value": "quote"
      }
    },
    "x-aisa-catalogs": {
      "kbb-com": {
        "description": "",
        "title": "Kelley Blue Book",
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          }
        },
        "x-aisa-document": {
          "facts_hash": "d92fb8106a1b2aaa0fa4430141251a23d96424e0b067ad584733afa9f7e298c3",
          "generator_version": "3",
          "protocol_version": "1",
          "schema_version": "1"
        },
        "x-aisa-plans": {
          "builder": 1.0,
          "display_plan": "payg",
          "payg": 1.0,
          "similarweb_payg": 1.0,
          "team": 1.0,
          "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
        }
      }
    },
    "x-aisa-configured-paths": [
      "/apis/v1/kbb-com/vehicles/book-value",
      "/apis/v1/kbb-com/vehicles/listing",
      "/apis/v1/kbb-com/vehicles/listings",
      "/apis/v1/kbb-com/vehicles/trims"
    ],
    "x-aisa-document": {
      "composer_version": "28",
      "document_hash": "sha256:446123f066c9042cd20f3f1859cfa0099cbbcdfaebfef5f459ea0f14ccdb2771",
      "facts_hash": "d92fb8106a1b2aaa0fa4430141251a23d96424e0b067ad584733afa9f7e298c3",
      "generator_version": "3",
      "protocol_version": "1",
      "response_pending": [],
      "schema_version": "1"
    },
    "x-aisa-plans": {
      "builder": 1.0,
      "display_plan": "payg",
      "payg": 1.0,
      "similarweb_payg": 1.0,
      "team": 1.0,
      "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
    },
    "x-aisa-provider": "kbb-com"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "openapi": "3.1.0",
  "paths": {
    "/apis/v1/kbb-com/vehicles/book-value": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "kbb-com.vehicles.book-value",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "make": "example",
                    "mileage": 1,
                    "model": "example",
                    "trim": "example",
                    "year": 1
                  }
                },
                "minimal": {
                  "value": {
                    "make": "example",
                    "mileage": 1,
                    "model": "example",
                    "trim": "example",
                    "year": 1
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "trim": {}
                        },
                        "required": [
                          "trim"
                        ]
                      },
                      {
                        "properties": {
                          "vehicle_id": {}
                        },
                        "required": [
                          "vehicle_id"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "make": {
                    "type": "string"
                  },
                  "mileage": {
                    "type": "number"
                  },
                  "model": {
                    "type": "string"
                  },
                  "trim": {
                    "type": "string"
                  },
                  "vehicle_id": {
                    "type": "number"
                  },
                  "year": {
                    "type": "number"
                  }
                },
                "required": [
                  "make",
                  "mileage",
                  "model",
                  "year"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Book value",
        "tags": [
          "Kelley Blue Book"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "kbb-com",
        "x-aisa-category": "commerce",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_trim",
                "selector": "/trim"
              },
              {
                "in": "body",
                "name": "option_vehicle_id",
                "selector": "/vehicle_id"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/kbb-com/kbb-com-vehicles-book-value",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "64a58416bf8e"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "kbb-com.vehicles.book-value",
          "path": "/apis/v1/kbb-com/vehicles/book-value"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/kbb-com/vehicles/book-value \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"make\": \"example\",\n  \"mileage\": 1,\n  \"model\": \"example\",\n  \"trim\": \"example\",\n  \"year\": 1\n}'"
          }
        ]
      }
    },
    "/apis/v1/kbb-com/vehicles/listing": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "kbb-com.vehicles.listing",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "listing_id": 1
                  }
                },
                "minimal": {
                  "value": {
                    "listing_id": 1
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "listing_id": {
                    "type": "number"
                  }
                },
                "required": [
                  "listing_id"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Listing",
        "tags": [
          "Kelley Blue Book"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "kbb-com",
        "x-aisa-category": "commerce",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/kbb-com/kbb-com-vehicles-listing",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "1267994fa142"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "kbb-com.vehicles.listing",
          "path": "/apis/v1/kbb-com/vehicles/listing"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/kbb-com/vehicles/listing \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"listing_id\": 1\n}'"
          }
        ]
      }
    },
    "/apis/v1/kbb-com/vehicles/listings": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "kbb-com.vehicles.listings",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "make": "example",
                    "zip": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "make": "example",
                    "zip": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "make": {
                    "type": "string"
                  },
                  "zip": {
                    "type": "string"
                  }
                },
                "required": [
                  "make",
                  "zip"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Listings",
        "tags": [
          "Kelley Blue Book"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "kbb-com",
        "x-aisa-category": "commerce",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/kbb-com/kbb-com-vehicles-listings",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "a17011e4f59b"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "kbb-com.vehicles.listings",
          "path": "/apis/v1/kbb-com/vehicles/listings"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/kbb-com/vehicles/listings \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"make\": \"example\",\n  \"zip\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/kbb-com/vehicles/trims": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "kbb-com.vehicles.trims",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "make": "example",
                    "model": "example",
                    "year": 1
                  }
                },
                "minimal": {
                  "value": {
                    "make": "example",
                    "model": "example",
                    "year": 1
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "make": {
                    "type": "string"
                  },
                  "model": {
                    "type": "string"
                  },
                  "year": {
                    "type": "number"
                  }
                },
                "required": [
                  "make",
                  "model",
                  "year"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Trims",
        "tags": [
          "Kelley Blue Book"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "kbb-com",
        "x-aisa-category": "commerce",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/kbb-com/kbb-com-vehicles-trims",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "1e5ca4b63ed6"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "kbb-com.vehicles.trims",
          "path": "/apis/v1/kbb-com/vehicles/trims"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/kbb-com/vehicles/trims \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"make\": \"example\",\n  \"model\": \"example\",\n  \"year\": 1\n}'"
          }
        ]
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api.aisa.one"
    }
  ]
}
